package org.dromara.mall.product.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.mall.product.domain.bo.MallAttributeBo;
import org.dromara.mall.product.domain.vo.MallAttributeVo;

import java.util.Collection;
import java.util.List;

/**
 * 属性Service接口
 *
 * @author pengles
 */
public interface MallAttributeService {

    /**
     * 查询属性
     */
    MallAttributeVo queryById(Long id);

    /**
     * 查询属性列表
     */
    TableDataInfo<MallAttributeVo> queryPageList(MallAttributeBo bo, PageQuery pageQuery);

    /**
     * 查询属性列表
     */
    List<MallAttributeVo> queryList(MallAttributeBo bo);

    /**
     * 根据模板ID查询属性列表
     */
    List<MallAttributeVo> queryListByTemplateId(Long templateId);

    /**
     * 新增属性
     */
    Boolean insertByBo(MallAttributeBo bo);

    /**
     * 修改属性
     */
    Boolean updateByBo(MallAttributeBo bo);

    /**
     * 校验并批量删除属性信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

}
